# GimpUi.ColorButton.new

    function new(title: String, width: Number(gint), height: Number(gint), color: Gegl.Color, type: GimpUi.ColorAreaType): Gtk.Widget {
        // Gjs wrapper for gimp_color_button_new()
    }

Creates a new GimpUi.ColorButton widget.

This returns a button with a preview showing the color. When the button is clicked a GtkColorSelectionDialog is opened. If the user changes the color the new color is written into the array that was used to pass the initial color and the "color-changed" signal is emitted.

title

  String that will be used as title for the color_selector.

width

  Width of the colorpreview in pixels.

height

  Height of the colorpreview in pixels.

color

  A [class@Gegl.Color].

type

  The type of transparency to be displayed.

Returns

  Pointer to the new GimpUi.ColorButton widget.